Package weka.knowledgeflow

# Enum Class LoggingLevel

java.lang.Object
java.lang.Enum<LoggingLevel>
weka.knowledgeflow.LoggingLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<LoggingLevel>`, `Constable`

public enum LoggingLevel extends Enum<LoggingLevel>
Enum for different logging levels

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BASIC`
  `DEBUGGING`
  `DETAILED`
  `ERROR`
  `LOW`
  `NONE`
  `WARNING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LoggingLevel`
  `stringToLevel(String s)`
  Return LoggingLevel given its name as a string
  `String`
  `toString()`
  String representation
  `static LoggingLevel`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LoggingLevel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final LoggingLevel NONE

  - ### LOW

    public static final LoggingLevel LOW

  - ### BASIC

    public static final LoggingLevel BASIC

  - ### DETAILED

    public static final LoggingLevel DETAILED

  - ### DEBUGGING

    public static final LoggingLevel DEBUGGING

  - ### WARNING

    public static final LoggingLevel WARNING

  - ### ERROR

    public static final LoggingLevel ERROR

- ## Method Details

  - ### values

    public static LoggingLevel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LoggingLevel valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### stringToLevel

    public static LoggingLevel stringToLevel(String s)
    Return LoggingLevel given its name as a string
    Parameters:
      `s` - the string containing the name of the logging level
    Returns:
      the LoggingLevel (or LoggingLevel.BASIC if the string could not be matched)

  - ### toString

    public String toString()
    String representation
    Overrides:
      `toString` in class `Enum<LoggingLevel>`
    Returns:
      the string representation of this logging level